Call the savePortalResource mutation
curl --request POST \
--url https://api.example.com/api/fn/savePortalResource \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>",
"title": "<string>",
"body": "<string>",
"embedUrl": "<string>",
"published": true,
"resourceId": "<string>",
"sortOrder": 123
}
'import requests
url = "https://api.example.com/api/fn/savePortalResource"
payload = {
"eventId": "<string>",
"title": "<string>",
"body": "<string>",
"embedUrl": "<string>",
"published": True,
"resourceId": "<string>",
"sortOrder": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: '<string>',
title: '<string>',
body: JSON.stringify('<string>'),
embedUrl: '<string>',
published: true,
resourceId: '<string>',
sortOrder: 123
})
};
fetch('https://api.example.com/api/fn/savePortalResource', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}actions
Call the savePortalResource mutation
POST
/
api
/
fn
/
savePortalResource
Call the savePortalResource mutation
Authorizations
BearerAuthCookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The value returned by savePortalResource
Whatever the function returns
⌘I